body {
    display: grid;
    font-family: 'Montserrat', sans-serif;
}

header{
    background-color: black;
    padding: 20px 0;
}

main{
    display: flex;
}
.box {
    width: auto;
    position: relative;
    margin: 0 auto;
}

.conte-img{
    display: grid;
    align-items: center;
}

.img{
    width: 180px;
    height: 68px;
    margin-top: 13px;
    margin-left: 70px;
}

.name{
    font-size: 50px;
    color: azure;
    text-align: center;
}

.sec1{
    width: 60%;
}

.sec2{
    width: 40%;
}

/*seccion1*/

.text1{
    border: none;
    margin-top: 60px;
    margin-left: 80px;
    width: 900px;
    height: 520px;
    font-size: 25px;
    resize: none;
    padding: 20px;
}

.text1:focus{
    outline: none;
}

.text1::placeholder{
    color: rgb(0, 0, 0);
    font-size: 25px;
}

h3{
    margin-left: 110px;
    font-size: 15px;
}

.botones{
    margin-left: 170px;
}

.btn-Encrip{
    width: 300px;
    height: 60px;
    margin-top: 40px;
    background-color: black;
    font-size: 19px;
    color: whitesmoke;
    border: none;
    border-radius: 13px;
}

.btn-Encrip:hover {

    box-shadow: 0 4px 16px rgba(49, 138, 172, 1);
    transition: all 0.2s ease;
}

.btn-Desenc{
    margin-left: 120px;
    width: 300px;
    height: 60px;
    margin-top: 40px;
    background-color: black;
    font-size: 19px;
    color: whitesmoke;
    border: none;
    border-radius: 13px;
}

.btn-Desenc:hover {

    box-shadow: 0 4px 16px rgb(53, 172, 49);
    transition: all 0.2s ease;
}

/*seccion2*/

.text2{
    border: none;
    background-color: rgb(209, 209, 209);
    padding: 25px;
    margin-top: 60px;
    margin-left: 45px;
    width: 600px;
    height: 520px;
    resize: none;
    border-radius: 22px;
    font-size: 25px;

}

.text2:focus{
    outline: none;
}
.text2::placeholder{
    display: none;
    color: rgb(209, 209, 209);;
}
.img2{
    width: 350px;
    position: absolute;
    margin-top: 150px;
    margin-left: 200px;
}

.msj{
    position: absolute;
    margin-top: 500px;
    margin-left: 200px;
    text-align: center;
    font-family: serif;
}

.btn-copy{
    margin-left: 240px;
    margin-top: 47px;
    width: 300px;
    height: 60px;
    background-color: black;
    font-size: 19px;
    color: whitesmoke;
    border: none;
    border-radius: 13px;
}

.btn-copy:hover {

    box-shadow: 0 4px 16px rgb(172, 49, 49);
    transition: all 0.2s ease;
}
footer{
    background-color: black;
    padding: 10px 0;
}

.copyright{
    color: aliceblue;   
    text-align: center; 
}


/*Pantalla*/
@media screen and (max-width: 480px){
    main{
        display: block;
    }
    .box{
        width: 100%;
        height:100%;
        padding: 20px 0;

    }
    .conte-img{
        align-items: center;
        justify-content: center;
    }
    
    .img{
        width: 180px;
        height: 70px;
        margin-top: auto;
        margin-left: auto;
    }
    
    .name{
        margin-top: 40px;
        font-size: 2.4em;
    }
    .sec1{
        width: 100%; 
    }
    .text1{
        margin-top: 30px;
        margin-right: 80px; 
        width: 550px;
        height: 750px;
        font-size: 2.3em;
    }
    .text1::placeholder{
        font-size: 1.2em;
        text-align: center;
    }
    h3{
        margin-left: 90px;
        font-size: 18px; 
    }
    .botones{
        width: auto;
        display: flex;
        margin-left: 0;
        align-items: center;
    }
    .btn-Encrip{
        width: 300px;
        height: 60px;
        margin-left: 30px;
        font-size: 22px;
    }
    .btn-Desenc{
        margin-left: 50px;
        width: 300px;
        height: 60px;
        margin-top: 40px;
        font-size: 22px;
    }
    .sec2{
        width: 100%;
    }
    .text2{

        margin-left: 80px; 
        width: 550px;
        height: 750px;
        font-size: 2.3em;
    }
    .text2::placeholder{
        color: black;
        font-size: 1.2em;
        align-items: center;
        text-align: center;
    }
    .img2{
        align-items: center;
        margin-top: 300px;
    }
    .msj{
        display: none;
    }
    .btn-copy{
        margin-left: 240px;
        margin-top: 47px;
        margin-block-end: 30px;
        width: 300px;
        height: 60px;
        font-size: 22px;
    }


}


